Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 593246 - [abrt] crash in telepathy-butterfly-0.5.9-1.fc12: connmgr.py:55:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/sciancio4_40hotmail_2ecom at 0x29f6e10>
Summary: [abrt] crash in telepathy-butterfly-0.5.9-1.fc12: connmgr.py:55:disconnected:...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: telepathy-butterfly
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Brian Pepple
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:e6240996
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-18 10:12 UTC by Stefano C
Modified: 2010-12-03 14:35 UTC (History)
27 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-03 14:35:40 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2010-05-18 10:12 UTC, Stefano C
no flags Details

Description Stefano C 2010-05-18 10:12:04 UTC
abrt 1.0.9 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/libexec/telepathy-butterfly
component: telepathy-butterfly
executable: /usr/libexec/telepathy-butterfly
kernel: 2.6.32.11-99.fc12.x86_64
package: telepathy-butterfly-0.5.9-1.fc12
reason: connmgr.py:55:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/sciancio4_40hotmail_2ecom at 0x29f6e10>
release: Fedora release 12 (Constantine)

backtrace
-----
connmgr.py:55:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/sciancio4_40hotmail_2ecom at 0x29f6e10>

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/papyon/client.py", line 366, in disconnected
    self._state = ClientState.CLOSED
  File "/usr/lib/python2.6/site-packages/papyon/client.py", line 278, in fset
    self._dispatch("on_client_state_changed", state)
  File "/usr/lib/python2.6/site-packages/papyon/event/__init__.py", line 44, in _dispatch
    if event_handler._dispatch_event(name, *args):
  File "/usr/lib/python2.6/site-packages/papyon/event/__init__.py", line 65, in _dispatch_event
    handler(*params)
  File "/usr/lib/python2.6/site-packages/butterfly/connection.py", line 372, in on_client_state_changed
    self._advertise_disconnected()
  File "/usr/lib/python2.6/site-packages/butterfly/connection.py", line 463, in _advertise_disconnected
    self._manager.disconnected(self)
  File "/usr/lib/python2.6/site-packages/butterfly/connection_manager.py", line 82, in disconnected
    result = telepathy.server.ConnectionManager.disconnected(self, conn)
  File "/usr/lib/python2.6/site-packages/telepathy/server/connmgr.py", line 55, in disconnected
    self._connections.remove(conn)
KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/sciancio4_40hotmail_2ecom at 0x29f6e10>

Local variables in innermost frame:
self: <butterfly.connection_manager.ButterflyConnectionManager at /org/freedesktop/Telepathy/ConnectionManager/butterfly at 0x29d8d90>
conn: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/sciancio4_40hotmail_2ecom at 0x29f6e10>

Comment 1 Stefano C 2010-05-18 10:12:06 UTC
Created attachment 414795 [details]
File: backtrace

Comment 2 Indrek Paas 2010-05-18 11:44:05 UTC
Package: telepathy-butterfly-0.5.9-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Start Empathy
2. Login to MSN service

Comment
-----
Had the same crashes on Fedora Core 12 and 11 as well. Just running Empathy and loggin into MSN service produces the crashes.

Comment 3 Peter Delf 2010-06-04 05:56:12 UTC
Package: telepathy-butterfly-0.5.9-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
Empathy client was trying to connect before I had correctly set up NAT on my broadband router.

Comment 4 Robert Zhang 2010-06-04 07:20:25 UTC
Package: telepathy-butterfly-0.5.9-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


Comment
-----
empathy is running well, didn't do anything with it, then this bug report tool pops up and tell me telepathy-butterfly crashed, but empathy is still running. empathy and telepathy-butterfly are related right?

Comment 5 scumbag 2010-06-20 02:50:34 UTC
Package: telepathy-butterfly-0.5.10-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Try to connect
2. While connecting disable the network
3. Crash

Comment 6 scumbag 2010-06-28 02:59:34 UTC
Package: telepathy-butterfly-0.5.11-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----



Comment
-----
While empathy was running, the network was lost, when back, empathy try to reconect, then the network go away again and... crash.

Comment 7 Dan Scott 2010-07-13 07:21:44 UTC
Package: telepathy-butterfly-0.5.11-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Start connecting to MSN account in Empathy
2. Click "Disconnect" on Network Manager applet
3. Boom.


Comment
-----
On resume from suspend, my laptop was in the process of getting connected to the network when Empathy reported all of its connections were unavailable (no surprise). However, once the laptop had automatically reconnected to the network, I clicked on the "Retry" connection for each of my accounts in Empathy. MSN was taking a long time, so I decided to get a fresh network connection and hit "Disconnect" in NetworkManager. 

The rest is history.

Comment 8 Bob 2010-07-28 01:57:59 UTC
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Empathy was idle.
2.
3.

Comment 9 Theophanis Kontogiannis 2010-09-08 09:09:42 UTC
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Loged into my account

Comment 10 Bob 2010-09-16 14:40:24 UTC
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Hotmail agent displayed Network Error.
2.Crash reported.
3.Empathy still running.

Comment 11 nrsandholm 2010-09-25 20:14:31 UTC
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. I closed Empathy IM Client using right click and close from the upper bar.
2. Empathy seems to be closing nicely but the ABRT still springs up.
3.


Comment
-----
Happens EVERY time I close Empathy.

Comment 12 yyetim 2010-09-29 21:05:53 UTC
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Connected to wi-fi
2. Connected to empathy
3. Disconnected and reconnected to wi-fi without closing empathy first

Comment 13 paulomarcelo 2010-09-30 10:42:07 UTC
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
Não houve nada que pudesse ter sido aparente, de repente surge a mensagem de TRAVAMENTO para o o referid pacote.

Comment 14 David Strohmayer 2010-10-06 23:43:05 UTC
Package: telepathy-butterfly-0.5.14-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. I wasnt connected to a network and wanted to go online (which couldnt be possible)
2.
3.

Comment 15 Theophanis Kontogiannis 2010-10-18 15:28:29 UTC
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
It happened disconnecting the network

Comment 16 paulomarcelo 2010-10-22 16:41:01 UTC
Package: telepathy-butterfly-0.5.14-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
Eu estava usando o Empathy 2.30.3 para acessar MSN

Comment 17 paulomarcelo 2010-10-28 17:15:52 UTC
Package: telepathy-butterfly-0.5.14-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.
2.
3.
iniciando, deu erro!!!

Comment 18 paulomarcelo 2010-10-28 19:42:25 UTC
Package: telepathy-butterfly-0.5.14-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.
2.
3.
sem motivo aparente....

Comment 19 paulomarcelo 2010-10-29 10:21:48 UTC
Package: telepathy-butterfly-0.5.14-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
Já na inicialização. O sistema operacional é o Linux, a distro é o Fedora FC13...

Comment 20 paulomarcelo 2010-11-01 13:28:39 UTC
Package: telepathy-butterfly-0.5.14-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
Me pareceu que o erro é provocado quando há tentativas de logar na conta MSN, pois só aparece depois que logo na conta GMAIL, mas não loga no MSN

Comment 21 Bug Zapper 2010-11-03 14:40:24 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 22 Christian Joensson 2010-11-03 14:54:01 UTC
Are there any status reports from Fedora 13 or even the soon to be Fedora 14 concerning this PR?

Comment 23 Theophanis Kontogiannis 2010-11-17 12:07:33 UTC
Package: telepathy-butterfly-0.5.14-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


Comment
-----
recovered from STBY

Comment 24 Bug Zapper 2010-12-03 14:35:40 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.